Page MenuHomePhabricator

eo: enforce auto_unref logic at the end of efl_unref execution.
ClosedPublic

Authored by cedric on Mar 14 2019, 2:28 PM.

Details

Summary

This allow for the safe use of efl_ref/efl_unref around an efl_part
without calling any function on that part.

Depends on D8357

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 14 2019, 2:28 PM
bu5hm4n requested changes to this revision.Mar 14 2019, 2:35 PM
bu5hm4n added inline comments.
src/lib/eo/eo.c
2001

_apply_auto_unref should probebly be before _efl_unref i think.

This revision now requires changes to proceed.Mar 14 2019, 2:35 PM
cedric updated this revision to Diff 20650.Mar 15 2019, 5:01 PM
cedric edited the summary of this revision. (Show Details)
cedric added a reviewer: YOhoho.

Rebase.

bu5hm4n requested changes to this revision.Mar 16 2019, 9:01 AM
This revision now requires changes to proceed.Mar 16 2019, 9:01 AM

Forgot to say, but change where made as requested.

bu5hm4n accepted this revision.Mar 16 2019, 12:21 PM

Yes, i oversaw that.

This revision is now accepted and ready to land.Mar 16 2019, 12:21 PM
cedric updated this revision to Diff 20999.Wed, Mar 27, 2:34 PM

Rebase.

This revision was automatically updated to reflect the committed changes.